sub eventNotify 
#--------------------------------------------------------------------------------
# Generic event creator
# Usage:
#   &event( 
#           "D",           (Severity: C, W, I, U)
#           1,             (Host #)
#           "Event Text",  (Text)
#           "Shorttxt",    (Short Text)
#           "DBA001I",     (MsgID)
#           "/tmp/zzz"     (Optional - File to append to msg)
#         )
#--------------------------------------------------------------------------------
{
  # 
  # Parse list of userid into indiviual elements
  #

  ###user_elm[0] = split(userlist[$h_userlist[$e_h]],user_elm)
  $list_id = $h_userlist[$e_h];      # This is the Notify_List value for the isntance
  my $email_log = "/opt/dbamon/log/event_email_$dow.txt";

  if ($userlist[$list_id] eq "")
  {
    &error_msg("Notify_List: $list_id Is Missing/Null",$e_h);
  }

  $_ = $userlist[$list_id];        # The notify list entry
  @user_elm = split;

  if ($debug_crit)
  {
    print "list_id=$list_id \n";
    print "entries=$_ \n";
    print "number of user_elm's=$#user_elm\n";
  }

  for ($i_mail=0; $i_mail<= $#user_elm; $i_mail++)
  {
    if ($debug_crit)
    {
      printf("Processing i_mail=%s user_elm[$i_mail]=%s\n",$i_mail,$user_elm[$i_mail])
    }

    if (substr($user_elm[$i_mail],0,1) eq "@")
    {
      $host = substr($user_elm[$i_mail],1);
      $msgtemp = sprintf("Sending postnote to host=%s",$host);
      &logit($msgtemp,$e_h);

      $rc = system("cat $tmpfl5 | $post_dir/clpostXm $host");
      if ($rc != 0) 
      {
	$msgtemp = sprintf("Postnote rc=%s",$rc);
	&logit($msgtemp,$e_h);
      }
      next;
    }

    $msgtemp = sprintf("Mailing event notification message to Notify_List: $list_id user=%s",$user_elm[$i_mail]);
    &logit($msgtemp,$e_h);

    #---- Old
    ## $cmd = "cat $tmpfl5 |dbamon_mailer $htmlsuf -m -s '$e_msgmod' $user_elm[$i_mail]";
    #---- New
    $cmd = "cat $tmpfl5 |dbamon_mailer $ev_attachments $htmlsuf -m -s '$e_msgmod' $user_elm[$i_mail] >> $email_log 2>&1";
    ##print "cmd=$cmd \n";

    if ($debug_crit)
    {
      printf("About to execute cmd=%s\n",$cmd);
    }

    &logit("  Event: Sending EMAIL-4 - To: $user_elm[$i_mail] - email_log=$email_log", "", "", 1);
    &logit("    $titleraw[$e_h] | $e_msg", "", "", 1);

    $rc = system($cmd);

    if ($debug_crit) 
    { 
      printf("Mail rc=%s\n",$rc);
    }
  }
}
#--------------------------------------------------------------------------------
1;
