# -----------------------------------------------------------------------------
sub infChunksDown
{
  ($thishost) = @_;

  if ($up[$thishost] ne "Y")
  {
    &logit("(Down/Inhibited)",$thishost);
    return 1;
  }
    
  ##check_remsh(system(cmdpfx[$thishost]"onstat -d"cmdsfx[$thishost]" | grep '/' | grep -v address >"tmpfl3 " 2>" remshlog),$thishost)
  &remsh("onstat -d",$tmpfl2,$thishost);

  # only include lines that I want
  $rc = system("cat $tmpfl2 | grep '/' | grep -v address > $tmpfl3 2>&1");

  if (system("grep -i 'shared memory not' $tmpfl3") == 0) 
  {
    $msg = sprintf("(Down/Inhibited)")
    &logit($msg,$thishost);
    return 1;
  }

  $offline_chunks = 0;

  open(TMPFL3, "$tmpfl3"  ) || &error_msg("Can't open input $tmpfl3 - $!");
  while(<TMPFL3>)
  {
    &parse;
    @words = split(' ',$F0);
    $chunk_status = substr($words[$#words-1],1,1);

    ##print "$titleraw[$thishost] - F0=$F0 cs=$chunk_status ds=$db_status[$thishost] $thishost \n";

    if ($db_status[$thishost] eq "O")
    {
      if ($chunk_status ne "O") { $offline_chunks++ }
    }
    else  # Must be R
    {
      if ($chunk_status ne "O" && $chunk_status ne "I") { $offline_chunks++ }
    }
  }
  close(TMPFL3);

  if ($offline_chunks > 0)
  {
    &event("C",$thishost,"$offline_chunks Offline Chunk(s) Found","OffChk","DBA280C",$tmpfl3);
    $chunks_ok[$thishost] = "N";
  }
  else
  {
    &logit("OK",$thishost);
    $chunks_ok[$thishost] = "Y";
  }
}     
# -----------------------------------------------------------------------------
1;
